Retrieve current user

GET
https://example.kaiten.ru/api/latest/users/current
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

enum

1 - old ui. 2 - new ui
company_id

integer

Company id
telegram_id

integer

Telegram id
telegram_settings

object

Telegram settings
user_id

integer

User id
default_space_id

null | integer

Default space
permissions

integer

User company permissions
role

enum

User role in company: 1 - owner, 2 - user, 3 - deactivated
email_frequency

enum

1 - never, 2 – instantly
email_settings

object

Schema
Email settings
slack_id

null || integer

User slack id
slack_settings

null || object

Slack settings
notification_settings

null || object

Schema
Notification settings
notification_enabled_channels

array

List of enabled channels for notifications
slack_private_channel_id

null | integer

User slack private channel id
telegram_sd_bot_enabled

boolean

Telegram bot enable flag
invite_last_sent_at

string

Last invite date
apps_permissions

string

0 - no access, 1 - full access to Kaiten, access to service desk denied. 2 - guest access to Kaiten, access to service desk denied. 4 - access only to service desk. 5 - full access to Kaiten and service desk. 6 - guest access to Kaiten, access to service desk
external

boolean

Is user external
last_request_date

null | string

Date of last request
last_request_method

null | string

Type of last request
has_password

boolean

Has user password flag
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/users/current' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!